# Salt's Bootstrap Script

A script to bootstrap a user with git and some auxiliary tools.

## Building User Home

Download and run the latest `bootstrap.sh`:

```
cd
git clone https://git.desu.ltd/salt/bootstrap
./bootstrap/bootstrap.sh $HOME
```

## Building a Gentoo Install

First, partition out the system and build a filesystem tree in `/mnt`.

Then, download and run the latest `gentoostrap.sh`:

```
cd
git clone https://git.desu.ltd/salt/bootstrap
sudo ./bootstrap/gentoostrap.sh
```

The script supports a fair few arguments, so it's worth looking into `gentoostrap.sh -h` if you need to customize the system.

Note that this is highly specific to my environment. Most of the configuration management is done in Ansible, but this will create a user with my own personal setup.
